Name:		beagle
Version:	0.3.9
Release:	15%{?dist}
Summary:	The Beagle Search Infrastructure
Group:		User Interface/Desktops
# see COPYING for details
License:	ASL 2.0 and MIT and BSD and CC-BY and LGPLv2+ and (AFL or LGPLv2+)
URL:		http://beagle-project.org/
Source0:	http://download.gnome.org/sources/beagle/0.3/%{name}-%{version}.tar.bz2
Source1:	beagle-thunderbird-update.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel
BuildRequires:	mono-data
BuildRequires:	mono-data-sqlite
BuildRequires:	monodoc-devel
BuildRequires:	gtk-sharp2-gapi 
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gnome-sharp-devel
BuildRequires:	mono-web
BuildRequires:	zip
BuildRequires:	libexif-devel
BuildRequires:	gsf-sharp-devel >= 0.6
BuildRequires:	gmime-sharp >= 2.1.19
BuildRequires:	gnome-sharp-devel
BuildRequires:	evolution-sharp-devel >= 0.10.2-3
BuildRequires:	libXScrnSaver-devel
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	librsvg2-devel >= 2.0
BuildRequires:	libXt-devel
BuildRequires:	wv-devel
BuildRequires:	gettext
BuildRequires:	autoconf
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
BuildRequires:	libbeagle-devel >= 0.3.4
BuildRequires:	ndesk-dbus-glib-devel
#BuildRequires:	epiphany-devel
BuildRequires:	taglib-sharp-devel
BuildRequires:	unzip
BuildRequires:	chmlib-devel

%ifarch ia64
BuildRequires:	libunwind-devel
%endif
Requires:	sqlite >= 3.3.1
Requires:	zip unzip sed grep poppler-utils
Requires:	libbeagle

# 4.0.17-5 fixes bug #201991
Requires(pre):	shadow-utils >= 4.0.17-5

#Patch2: beagle-0.2.7-crawl.patch
Patch3: beagle-0.3.9-spew.patch
Patch4: beagle-0.3.0-runuser.patch
Patch5: beagle-0.2.15.1-libdir.patch
Patch6: beagle-monodoc.patch
Patch7: beagle-0.3.8-epiphany.patch

#gmime-2.4
Patch8: beagle-0.3.9-gmime24.patch

#firefox 3.1
Patch9: beagle-0.3.8-fx35.patch

#gnome-desktop
Patch10: beagle-0.3.9-libgnome-desktop-soname.patch

Patch11: beagle-0.3.9-openfix.patch

# Mono is not available on these arches 
ExcludeArch: sparc64

BuildRequires:	xulrunner-devel

# firefox app id for beagle firefox extension
%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define firefox_ext_id \{fda00e13-8c62-4f63-9d19-d168115b11ca\}

%description
A general infrastructure for making your data easy to find. 

%package gnome
Summary:	Beagle search system user interface for GNOME
Group:		User Interface/Desktops
Requires:	beagle = %{version}-%{release}
Requires:	gnome-desktop >= 2.25.0
Obsoletes:	beagle-gui < 0.3.3-9
Provides:	beagle-gui = 0.3.3-9

%description gnome
User interface for doing beagle searches

%package evolution
Summary:	Beagle backend for evolution
Group:		User Interface/Desktops
Requires:	beagle = %{version}-%{release}

%description evolution
Beagle indexing backend for evolution

%package thunderbird
Summary:	Beagle backend for Thunderbird
Group:		User Interface/Desktops
Requires:	beagle = %{version}-%{release}
Requires:	thunderbird

%description thunderbird
Beagle backend for Thunderbird

%package firefox
Summary:	Beagle Indexer Extension for Firefox
Group:		User Interface/Desktops
Requires:	beagle = %{version}-%{release}

%description firefox
Beagle Indexer Extension for Firefox

#%package epiphany
#Summary:	Beagle backend for Epiphany
#Group:		User Interface/Desktops
#Requires:	beagle = %{version}-%{release}
#Requires:	epiphany-extensions

#%description epiphany
#Beagle backend for Epiphany

%package devel
Summary:	Development files for the Beagle search infrastructure
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for /usr/lib/pkgconfig
Requires:	pkgconfig
# for /usr/lib/monodoc/
Requires:	monodoc
Requires(post):	monodoc
Requires(postun):monodoc

%description devel
The beagle-devel package contains documentation and other materials
that are useful when developing applications that use Beagle.

%prep
%setup -q
%define _default_patch_fuzz 2
#%patch2 -p1 -b .crawl
%patch3 -p1 -b .spew
%patch4 -p1 -b .runuser
%patch5 -p1 -b .libdir
%patch6 -p1 -b .monodoc
%patch7 -p1 -b .epiphany
%patch8 -p1 -b .gmime-2.4
%patch9 -p1 -b .firefox-3.5
%patch10 -p1 -b .gnome-desktop
%patch11 -p1 -b .open-fix

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --enable-wv1 --disable-googlebackends
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/cache/beagle/indexes

# don't autostart the search gui
rm -f $RPM_BUILD_ROOT/etc/xdg/autostart/beagle-search-autostart.desktop

# firefox extension
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}
unzip firefox-extension/beagle.xpi \
-d $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}

# thunderbird extension
mkdir -p  $RPM_BUILD_ROOT%{_libdir}/beagle/thunderbird
unzip thunderbird-extension/beagle.xpi  -d $RPM_BUILD_ROOT%{_libdir}/beagle/thunderbird
install -D -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/beagle/beagle-thunderbird-update.sh

desktop-file-install --vendor gnome --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  $RPM_BUILD_ROOT%{_datadir}/applications/beagle-search.desktop

desktop-file-install --vendor gnome --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-GNOME-SystemSettings			\
  --remove-category Utility					\
  $RPM_BUILD_ROOT%{_datadir}/applications/beagle-settings.desktop

echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/gnome-beagle-search.desktop

sed -i -e 's@Icon=tango-system-search@Icon=gnome-search-tool@' $RPM_BUILD_ROOT%{_datadir}/applications/gnome-beagle-search.desktop

%find_lang %{name}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

%{__sed} -i 's/\r//' $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}/chrome/locale/zh-CN/contents.rdf

#Fix bogus permissions
find $RPM_BUILD_ROOT -name '*.dll' -exec chmod a+x {} ';'
find $RPM_BUILD_ROOT -name '*.exe' -exec chmod a+x {} ';'
find $RPM_BUILD_ROOT -name '*.py' -exec chmod a+x {} ';'
find $RPM_BUILD_ROOT -name '*.js' -exec chmod a-x {} ';'
find $RPM_BUILD_ROOT -name '*.rdf' -exec chmod a-x {} ';'
find $RPM_BUILD_ROOT -name '*.xul' -exec chmod a-x {} ';'
find $RPM_BUILD_ROOT -name '*.dtd' -exec chmod a-x {} ';'
find $RPM_BUILD_ROOT -name '*.css' -exec chmod a-x {} ';'

%pre
%define beagle_user_uid 58

#only create user if it doesn't exists
%{_bindir}/id -u beaglidx 1>/dev/null 2>&1
if [ $? -ne 0 ]; then
  %{_sbindir}/groupadd -g %{beagle_user_uid} -r beaglidx 2> /dev/null || :
  %{_sbindir}/useradd -r -u %{beagle_user_uid} -s /sbin/nologin -c "User for Beagle indexing" -d /var/cache/beagle -g beaglidx beaglidx 2> /dev/null || :
fi
exit 0

%preun
if [ -f %{_libdir}/beagle/beagle-plugin-path ]; then
  old=`cat %{_libdir}/beagle/beagle-plugin-path`
  rm -rf $old
  rm -rf  %{_libdir}/beagle/beagle-plugin-path 
fi

%post 
if [ -f %{_libdir}/beagle/beagle-plugin-path ]; then
  old=`cat %{_libdir}/beagle/beagle-plugin-path`
  rm -rf $old
  rm -rf  %{_libdir}/beagle/beagle-plugin-path 
fi

%post devel
if [ -x %{_bindir}/monodoc ]; then
  %{_bindir}/monodoc --make-index > /dev/null
fi

%postun devel
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then
  %{_bindir}/monodoc --make-index > /dev/null
fi

#############################
# thunderbird extension hacks
# copied from mugshot to deal with versioned 
# thunderbird dirs
%post thunderbird
%{_datadir}/beagle/beagle-thunderbird-update.sh install

%preun thunderbird
%{_datadir}/beagle/beagle-thunderbird-update.sh remove

%postun thunderbird
if [ "$1" != 0 ] ; then
  test -x %{_datadir}/beagle/beagle-thunderbird-update.sh && %{_datadir}/beagle/beagle-thunderbird-update.sh install
fi

%triggerin thunderbird -- thunderbird
%{_datadir}/beagle/beagle-thunderbird-update.sh install

%triggerun thunderbird -- thunderbird
%{_datadir}/beagle/beagle-thunderbird-update.sh remove

%triggerpostun thunderbird -- thunderbird
if [ "$1" != 0 ] ; then
  test -x %{_datadir}/beagle/beagle-thunderbird-update.sh && %{_datadir}/beagle/beagle-thunderbird-update.sh install
fi

# thunderbird extension hacks

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/cron.daily/*
%{_bindir}/beagled
%{_bindir}/blocate
%{_bindir}/beagle-config
%{_bindir}/beagle-doc-extractor
%{_bindir}/beagle-extract-content
%{_bindir}/beagle-index-info
%{_bindir}/beagle-info
%{_bindir}/beagle-ping
%{_bindir}/beagle-query
%{_bindir}/beagle-shutdown
%{_bindir}/beagle-static-query
%{_bindir}/beagle-status
%{_sbindir}/*
%{_libdir}/beagle/
%dir %{_sysconfdir}/beagle
%dir %{_sysconfdir}/beagle/config-files
%dir %{_sysconfdir}/beagle/crawl-rules
%config(noreplace) %{_sysconfdir}/beagle/blocate.conf
%config(noreplace) %{_sysconfdir}/beagle/config-files/*
%config(noreplace) %{_sysconfdir}/beagle/crawl-rules/*
%config(noreplace) %{_sysconfdir}/beagle/*.xml
%{_sysconfdir}/beagle/external-filters.xml.sample
%exclude %{_libdir}/beagle/Backends/Thunder*
%exclude %{_libdir}/beagle/Backends/Evolution*
%exclude %{_datadir}/beagle/beagle-thunderbird-update.sh
%exclude %{_libdir}/beagle/thunderbird/
%exclude %{_libdir}/beagle/libbeagleuiglue*
%exclude %{_libdir}/beagle/UiUtil.dll*
%exclude %{_libdir}/beagle/ImLogViewer.exe*
%exclude %{_libdir}/beagle/Settings.exe*
%exclude %{_libdir}/beagle/Beagle.Search.*
%{_datadir}/beagle
%{_mandir}/*/*
%dir %attr(-,beaglidx,beaglidx) /var/cache/beagle
%dir %attr(-,beaglidx,beaglidx) /var/cache/beagle/indexes
%{_sysconfdir}/xdg/autostart/beagled-autostart.desktop

%files firefox
%defattr(-, root, root,-)
%{_libdir}/mozilla/extensions/%{firefox_app_id}/

%files thunderbird
%defattr(-, root, root,-)
%{_datadir}/beagle/beagle-thunderbird-update.sh
%{_libdir}/beagle/Backends/ThunderbirdBackends.dll*
%{_libdir}/beagle/thunderbird/

#%files epiphany
#%defattr(-, root, root,-)
#%{_libdir}/epiphany/

%files gnome
%defattr(-, root, root,-)
%{_bindir}/beagle-imlogviewer
%{_bindir}/beagle-search
%{_bindir}/beagle-settings
%{_libdir}/beagle/UiUtil.dll*
%{_libdir}/beagle/ImLogViewer.exe*
%{_libdir}/beagle/Settings.exe*
%{_libdir}/beagle/libbeagleuiglue*
%{_libdir}/beagle/Beagle.Search.*
%{_datadir}/applications/*

%files evolution
%defattr(-, root, root)
%{_libdir}/beagle/Backends/EvolutionBackends.dll*

%files devel
%defattr(-, root, root)
%doc %{_libdir}/monodoc/sources/beagle-docs.*
%{_libdir}/pkgconfig/beagle*.pc

%changelog
* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.3.9-15
- enable s390 and s390x

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3.9-14
- Re-disable epiphany -- this is because epiphany lacks python support, not
  because of x86_64 problems.

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3.9-13
- Re-enable ppc64.
- Re-enable epiphany

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Juan Rodiguez <nushio@fedoraproject.org> - 0.3.9-11
- Remove ppc64 support while mono remains broken on it.

* Thu Jul 23 2009 Juan Rodriguez <nushio@fedoraproject.org> - 0.3.9-11
- Removed epiphany subpackage, as it fails on x86_64

* Mon Jul 06 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-10
- Add support for epiphany 2.27/2.28

* Mon Jul 06 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-9
- Fix build

* Fri Jul 03 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-8
- Backport upstream fixes to finally fix (RH #477639)

* Fri May 22 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-7
- Fix firefox extension (RH #477639)

* Sun Mar 08 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-6
- Don't fail to open some files

* Mon Mar 02 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-5
- Spec file cleanups (RH #225612)

* Sat Feb 28 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-4
- Spec file cleanups (RH #225612)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 31 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-2
- Rebase debug output patch

* Wed Jan 28 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.9-1
- Update t 0.3.9
- Drop obsolete patches

* Fri Dec 26 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-18
- Bump supported firefox version to 3.1.x

* Fri Dec 05 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-17
- Update for gmime-2.4

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.8-15
- Rebuild for Python 2.6

* Wed Nov 26 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-14
- Update for new gnome-desktop

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-13
- Fix patch to apply

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-12
- Use new libgnome-desktop
- Backport fix for RH #556243

* Sun Nov 02 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-11
- Revert last change

* Sun Nov 02 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-10
- Require gnome-deskop in the gnome package (RH #556243)

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-9
- rebuild against new gnome-sharp

* Sun Oct 26 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-8
- Fix user creation, possible security issue (RH #468610)

* Sat Oct 04 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-7
- Update epiphany patch

* Sun Aug 10 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-6
- Fix provides mess
- Fix changelog

* Sun Aug 10 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-5
- Fix duplicate provides
- Fix desktop file parser (GNOME #544607)

* Thu Jul 24 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-4
- Fix build against new epiphany
- Remove versioned thunderbird requires

* Sun Jul 20 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-3
- Check if the user exists before creating RH #441175

* Sat Jul 19 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-2
- RH #441375
- Don't ship Thunderbird and Evolution backends in the main
- package
- Install thunderbird-extension correctly

* Tue Jul 15 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.8-1
- Update to 0.3.8
- Drop unneeded patches
- Clean up requires

* Fri Jul 04 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-7
- Rebuild for new gnome-sharp

* Fri Jun 06 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-6
- Remove no longer needed hardcoded requires
- Rebuild for mono breakage

* Wed May 21 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-5
- Enable chm support RH #447746

* Sat May 17 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-4
- Backport buildfix from trunk (r4737)

* Sat May 17 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-3
- Fix firefox extension installation

* Fri Apr 25 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-2
- Using nummeric compare for fedora version

* Fri Apr 25 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.7-1
- Update to 0.3.7

* Sat Apr 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.5-2
- use system taglib-sharp (now that we have it)

* Thu Apr 03 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.5-1
- Bump to 0.3.5
- Replace epiphany extension with the bundled version as it now works

* Wed Mar 26 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.4-1
- Bump to 0.3.4 final

* Sun Mar 23 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.3.3.90-2
- Fix a typo in thunderbird requires causing a broken dep.

* Fri Mar 14 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.3.90-1
- bump to 3.3.90 (3.4-pre1)

* Tue Feb 26 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.3-10
- Add Epiphany plugin
- replace beagle-gui with beagle-gnome

* Tue Feb 26 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.3-9
- Build Thunderbird plugin

* Mon Feb 25 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.3-8
- do the former right

* Mon Feb 25 2008 David Nielsen <gnomeuser@gmail.com> - 0.3.3-7
- Break out beagle-firefox

* Sat Feb 23 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.3-6
- Fix build with new mono

* Thu Feb 21 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.3-5
- Fix bug #433063

* Sun Feb 17 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.3-4
- Revert last change

* Sun Feb 17 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.3.3-3
- Fix location of firefox extension (Christopher Aillon, #433063)

* Wed Feb 13 2008 Dennis Gilmore <dennis@ausil.us> - 0.3.3-2
- ia64 needs libunwind-devel
- change ExclusiveArch to ExcludeArch

* Sun Feb 10 2008 David Nielsen <david@lovesunix.net> - 0.3.3-1
- Small BR fix
- Rebuild for GCC 4.3
- Bump to 0.3.3

* Fri Dec 28 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Thu Dec 13 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Wed Dec  5 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.0-1
- Update to 0.3.0
- Drop libbeagle subpackages
- Split off a -devel package

* Sun Dec  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.2.18-2
- Add BuildRequires for desktop-file-utils
- Fix up license field

* Tue Sep  4 2007 Matthias Clasen <mclasen@redhat.com> - 0.2.18-1
- Update to 0.2.18
- Update the license field

* Sat May 19 2007 Matthias Clasen <mclasen@redhat.com> - 0.2.17-1
- Update to 0.2.17

* Thu Mar 29 2007 Alexander Larsson <alexl@redhat.com> - 0.2.16.2-4
- Also build on alpha (#232265)

* Tue Mar 27 2007 Matthias Clasen <mclasen@redhat.com> - 0.2.16-2-3
- Add better category to desktop file
- Don't autostart the search gui

* Wed Mar  7 2007 Alexander Larsson <alexl@redhat.com> - 0.2.16.2-2
- Add manual requires for gsf-sharp and evolution-sharp (#230212)
- Make beagle-evolution require beagle, not beagle-gui

* Thu Feb 22 2007 Matthias Clasen <mclasen@redhat.com> - 0.2.16.2-1
- Update to 0.2.16.2

* Thu Feb  8 2007 Alexander Larsson <alexl@redhat.com> - 0.2.16-1
- update to 0.2.16

* Mon Feb  5 2007 Alexander Larsson <alexl@redhat.com> - 0.2.15-1
- Update to 0.2.15

* Wed Dec  6 2006 Jeremy Katz <katzj@redhat.com> - 0.2.13-3
- rebuild for python 2.5

* Tue Nov 28 2006 Alexander Larsson <alexl@redhat.com> - 0.2.13-2.fc7
- Fix xconnection patch to be threadsafe (#212370)

* Wed Nov 22 2006 Alexander Larsson <alexl@redhat.com> - 0.2.13-1
- Update to 0.2.13
- Enable wv1 (word) support
- Update key patch

* Sat Nov  4 2006 Matthias Clasen <mclasen@redhat.com> 0.2.12-1
- Update to 0.2.12

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> 0.2.10-5
- Rebuild

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> 0.2.10-4
- Fix firefox plugin handling:
  - Stop using rpm -q in scriptlets because that's dumb
  - Clean up after ourselves on uninstalls of the trigger or self
  - Don't install 64bit plugin into 32bit firefox and vice versa

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.2.10-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Alexander Larsson <alexl@redhat.com> - 0.2.10-2
- Actually exit when X dies

* Wed Sep 20 2006 Alexander Larsson <alexl@redhat.com> - 0.2.10-1
- Update to 0.2.10, remove backported fixes
- This is a bugfix update that fixes a variety of bad bugs
- No new features

* Wed Sep 13 2006 Alexander Larsson <alexl@redhat.com> - 0.2.9-4
- Disable thunderbird backend for now (#205985)

* Wed Sep 13 2006 Alexander Larsson <alexl@redhat.com> - 0.2.9-3
- Fix xdgmime cache slowdown problems by backporting a fix from cvs

* Wed Sep  6 2006 Alexander Larsson <alexl@redhat.com> - 0.2.9-2
- Fix some packaging guideline issues
- BuildRequire gsf-sharp-devel

* Sun Sep  3 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.9-1
- Update to 0.2.9
- Drop obsolete patches
- Require pkgconfig in the -devel package

* Wed Aug 23 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.8-3
- Fix a crash, patch from upstream cvs (#203519)

* Tue Aug 22 2006 Alexander Larsson <alexl@redhat.com> - 0.2.8-2
- Backport cvs indexing performance fix

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.2.8-1
- Update to 0.2.8
- Rebuild with new mono and gtk-sharp2

* Tue Aug 15 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.7-9.fc6
- Hide keybinding in beagle-settings, since the global
  search keybinding works.  (#201424)

* Fri Aug 11 2006 Alexander Larsson <alexl@redhat.com> - 0.2.7-8
- Split out gui and evolution
- Pre-require shadow-utils that fixes the group bug

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 0.2.7-7
- pre-require shadow-utils (#201991)

* Wed Jul 26 2006 Alexander Larsson <alexl@redhat.com> - 0.2.7-6
- Pass --autostarted in autostart desktop file to make autostart switch work

* Mon Jul 24 2006 Ray Strode <rstrode@redhat.com> - 0.2.7-5
- reenable beagle by default 

* Thu Jul 20 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-4
- Only remove beagleindex user/group if they exist (#196665)

* Fri Jul 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.7-3
- Make beagle_util_daemon_is_running work with NFS homedirs

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.2.7-2.1
- rebuild

* Thu Jun 22 2006 Alexander Larsson <alexl@redhat.com> - 0.2.7-2
- Rebuild to pick up new gsf-sharp

* Wed Jun 21 2006 Alexander Larsson <alexl@redhat.com> - 0.2.7-1
- update to 0.2.7
- Use runuser, not su in index cronjob (#195809)
- Rename beagleindex to beaglidx (#184157)
- Remove --debug from all wrappers

* Thu Jun 16 2006 Ray Strode <rstrode@redhat.com> - 0.2.6-6
- add bug spew when debugging is enabled (bug 195621)

* Fri Jun  9 2006 Alexander Larsson <alexl@redhat.com> - 0.2.6-5
- Disable on s390* as mono doesn't build on s390 atm
- buildrequire gettext

* Thu May 25 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.2.6-4
- rebuild

* Wed May 17 2006 Brian Pepple <bdpepple@ameritech.net> - 0.2.6-3
- Add BR for python-devel, libXt-devel, & pygtk2-devel.

* Tue May  2 2006 Alexander Larsson <alexl@redhat.com> - 0.2.6-2
- Update to 0.2.6

* Fri Apr 21 2006 Alexander Larsson <alexl@redhat.com> - 0.2.5-3
- Update to 0.2.5
- Update patches

* Fri Apr  7 2006 Matthias Clasen <mclasen@redhat.com> 0.2.4-2
- Update to 0.2.4
- Update patches

* Tue Mar 21 2006 Alexander Larsson <alexl@redhat.com> 0.2.3-5
- Rebuild fc5 update in rawhide

* Tue Mar 21 2006 Alexander Larsson <alexl@redhat.com> - 0.2.3-4
- Remove more instances of wrapper scripts starting apps in cwd.
  Fixes bug #185981, and CVE-2006-1296

* Fri Mar 17 2006 Ray Strode <rstrode@redhat.com> - 0.2.3-3
- use /sbin/nologin instead of /bin/nologin for beagle user
  shell

* Fri Mar 17 2006 Ray Strode <rstrode@redhat.com> - 0.2.3-2
- use /bin/nologin instead of /bin/false for beagle user
  shell

* Fri Mar 17 2006 Ray Strode <rstrode@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Wed Mar  8 2006 Ray Strode <rstrode@redhat.com> - 0.2.2-3
- turn off beagle by default to limit the severity of
  bug 183898
- fix trigger/post scriptlet (bug 184238) 

* Tue Mar  7 2006 Alexander Larsson <alexl@redhat.com> - 0.2.2-2
- Fix beagle-craw-system NullPtrException

* Tue Mar  7 2006 Alexander Larsson <alexl@redhat.com> - 0.2.2-1
- update to 0.2.2

* Fri Mar  3 2006 Alexander Larsson <alexl@redhat.com> 0.2.1-17
- Change beagle user to uid/gid 58 (registered), because
  nut was already using 57 (unregistred!)

* Wed Mar  1 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-15
- Bump log level to "error" to avoid tons of
  pointless warnings. (#183162)

* Wed Mar  1 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-14
- Fix a typo in /etc/beagle/crawl-applications

* Wed Mar  1 2006 Ray Strode <rstrode@redhat.com> 0.2.1-13
- add patch from  Felipe Alfaro Solana <felipe_alfaro@linuxmail.org>
  to invote beagle indexing helper function with valid shell
  (bug 183360)

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-12
- Remove more "run from ." nonsense  (#182709)
- Don't spew tons of debug output  (#182660)
- Try to make the trigger more robust  (#182679)

* Wed Feb 22 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-11
- Silence %%post 

* Wed Feb 22 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-10
- Fix %%post for 64bit arches

* Tue Feb 21 2006 Matthias Clasen <mclasen@redhat.com> 0.2.1-8
- Autostart beagled by default
- Use anacron
- Install the firefox extension
- Add a trigger to reinstall the firefox extension 
  on firefox updates
- Adapt crawl-rules to Fedora

* Fri Feb 17 2006 Karsten Hopp <karsten@redhat.de> 0.2.1-7
- add BuildRequires

* Wed Feb 15 2006 Alexander Larsson <alexl@redhat.com> 0.2.1-6
- Make all dlls executable to correctly pick up dependencies

* Mon Feb 13 2006 Ray Strode <rstrode@redhat.com> - 0.2.1-4
- remove preferences from accessories menu
- hide holmes (gnome-panel shows it in places now)
- change holmes icon to one we have

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.2.1-4
- Update sqlite3.patch so that it behaves better with sqlite2 and 3

* Fri Feb 10 2006 Alexander Larsson <alexl@redhat.com> - 0.2.1-3
- Correctly allocate uid/gid

* Tue Feb  7 2006 Matthias Clasen <mclasen2redhat.com> - 0.2.1-2
- Add missing BuildRequires (#180336)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.2.1-1
- Update to beagle 0.2.1
- Use sqlite3 instead of sqlite2

* Tue Jan 31 2006 Ray Strode <rstrode@redhat.com> 0.2.0-4 
- don't blindly run beagled in current working directory 
  (bug 177675)

* Tue Jan 24 2006 Than Ngo <than@redhat.com> 0.2.0-3 
- added --add-only-show-in=gnome to the desktop-file-install calls
 
* Tue Jan 24 2006 Than Ngo <than@redhat.com> 0.2.0-2
- beagle-settings/beagle-search only show in gnome

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> - 0.2.0-1
- update to 0.2.0

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> - 0.1.4-4
- depend on poppler for pdf utilities instead of xpdf 
  (bug 177446)

* Wed Jan 11 2006 Alexander Larsson <alexl@redhat.com> - 0.1.4-3
- Rebuild with fixed evolution-sharp

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.1.4-2
- Don't package libbeagle twice

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.1.4-1
- Update to 0.1.4
- Add mono 1.1.12.1 patch

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> - 0.1.3-1
- update to 0.1.3

* Wed Nov 23 2005 Alexander Larsson <alexl@redhat.com> - 0.1.2-2
- Fix evolution backend library loading

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> - 0.1.2-1
- Initial version
